import { run } from '../util.mjs';

var pm2 = (cli) => {
  cli.command("pm2").allowUnknownOption().action(() => {
    run("pm2", process.argv.slice(3));
  });
  cli.command("pm2-restart").allowUnknownOption().action(() => {
    run("pm2", ["restart", "all"]);
  });
  cli.command("pm2-stop").allowUnknownOption().action(() => {
    run("pm2", ["stop", "all"]);
  });
};

export { pm2 as default };
