import { isDev, run } from '../util.mjs';

var clean = (cli) => {
  cli.command("clean").allowUnknownOption().action(() => {
    if (!isDev()) {
      return;
    }
    run("rimraf", ["-rf", "./storage/app-dev"]);
    run("rimraf", ["-rf", "packages/*/*/{lib,esm,es,dist,node_modules}"]);
    run("rimraf", ["-rf", "packages/*/@*/*/{lib,esm,es,dist,node_modules}"]);
  });
};

export { clean as default };
