import { isDev, run } from '../util.mjs';

var umi = (cli) => {
  const { APP_PACKAGE_ROOT } = process.env;
  cli.command("umi").allowUnknownOption().action(() => {
    if (!isDev()) {
      return;
    }
    run("umi", process.argv.slice(3), {
      env: {
        APP_ROOT: `${APP_PACKAGE_ROOT}/client`
      }
    });
  });
};

export { umi as default };
